プレイリストアイテム

GET/playlists/:playlistId/items

プレイリストのアイテムを取得します。page 指定で番号ページング、cursor 指定でカーソルページングになります。groupByDate=true で開催日グループ形状になります。

認証不要

パスパラメータ

playlistIdstring必須

プレイリスト ID

クエリパラメータ

pagenumber

番号ページング(page 指定時)

countnumber

1 ページ件数(page 指定時)

limit / cursornumber / string

カーソルページング

groupByDate'true'

開催日単位でグループ化

timeFilter / startDate / endDate / isPaid / tags / q / bboxstring

各種フィルタ

レスポンス

フィールド説明
itemsItem[]アイテム配列(4S イベント / 外部リンク)
pageInfoobject番号ページング時
nextCursorstring | nullカーソルページング時
dateGroupsobject[]groupByDate=true 時
リクエスト
curl https://api.4s.link/playlists/PLAYLIST_ID/items \
-H "Authorization: Bearer 4s_at_..."
レスポンス例
{
"items": [
{
"id": "it1-...",
"playlistId": "pl1-...",
"sortOrder": 0,
"kind": "FOUR_S_EVENT",
"eventId": "e1f2a3b4-...",
"title": "4S Tech Conference 2026",
"imageUrl": "https://.../thumb.png",
"schedules": [],
"eventSlug": "tech-conf-2026",
"eventTags": ["tech"]
}
],
"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }
}